msg_queue_init_ex
3

# msg_queue_init_ex

message queue initialization

    #include <cds/msg_queue.h>

      int msg_queue_init_ex
      msg_queue_t *q
      int synchronized

## Description

Initializes message queue structure. The value of `synchronized` may be 0 or 1. Zero means, that the message queue will not use mutex for internal data access (will be NOT synchronized), 1 means that message queue will be synchronized by mutex created internally.

## Return value

Returns 0 on success, non-zero on error.

## See Also

,